clear all
times='0  20 56 108160300';
r2d=180/pi;
k=6;
[As,Bs,Cs,Ds]= sim_cl_t82;
sim('Sim_Flex_Slosh');
[ns,n2]=size(atti); attit=zeros(ns,n2,k);

figure (20)
SUBPLOT(3,2,1), plot(time,atti*r2d, 'LineWidth',1.5); grid ON
Title('Vehicle Attitude')
ylabel('deg')
legend('phi', 'thet', 'psi')

SUBPLOT(3,2,2), plot(time,pqr*r2d, 'LineWidth',1.5); grid ON
Title('Body Rates')
ylabel('deg/s')
legend('p', 'q', 'r')

SUBPLOT(3,2,3), plot(time,albet*r2d, 'LineWidth',1.5); grid ON
Title('Alpha and Beta')
ylabel('deg')
legend('alfa', 'beta')

SUBPLOT(3,2,4), plot(time,Nyz, 'LineWidth',1.5); grid ON
Title('Ny and Nz')
ylabel('ft/sec^2')
legend('Ny', 'Nz')

SUBPLOT(3,2,5), plot(time,dy*r2d, 'LineWidth',1.5); grid ON
Title('Pitch Gimbal Deflects')
ylabel('deg')
xlabel('Time (sec)')

SUBPLOT(3,2,6), plot(time,dz*r2d, 'LineWidth',1.5); grid ON
Title('Yaw Gimbal Deflects')
ylabel('deg')
xlabel('Time (sec)')

% Run 6 Simulations ...................................
for i=1:k
    j=3*i-2;
    t{i}=times(j:j+2);
    ch=strcat('sim_cl_t', t{i});
    [As,Bs,Cs,Ds]= feval(ch);
    sim('Sim_Flex_Slosh');
    attit(:,:,i)=atti;                        % Attitudes
    pqr2(:,:,i)=pqr;                          % Body Rates
    albet2(:,:,i)=albet;                      % Alpha & Beta angls
    Nyz2(:,:,i)=Nyz;                          % Accels Ny & Nz
    dy2(:,:,i)=dy;                            % Pitch Eng Deflect
    dz2(:,:,i)=dz;                            % Yaw Eng Deflect
end

% Plot Data ..........................................
lab='Vehicle Attitude'; figure (1)
for i=1:k
    atti=attit(:,:,i);
    SUBPLOT(3,2,i), plot(time,atti*r2d, 'LineWidth',1.5); grid ON
    label=strcat(lab, ' at T=', t{i});
    Title(label)
    ylabel('deg')
    xlabel('Time (sec)')
    legend('phi', 'thet', 'psi')
end

lab='Body Rates'; figure (2)
for i=1:k
    pqr=pqr2(:,:,i);
    SUBPLOT(3,2,i), plot(time,pqr*r2d, 'LineWidth',1.5); grid ON
    label=strcat(lab, ' at T=', t{i});
    Title(label)
    ylabel('deg/s')
    xlabel('Time (sec)')
    legend('p', 'q', 'r')
end

lab='Alpha and Beta'; figure (3)
for i=1:k
    albet=albet2(:,:,i);
    SUBPLOT(3,2,i), plot(time,albet*r2d, 'LineWidth',1.5); grid ON
    label=strcat(lab, ' at T=', t{i});
    Title(label)
    ylabel('deg')
    xlabel('Time (sec)')
    legend('alfa', 'beta')
end

lab='Ny and Nz'; figure (4)
for i=1:k
    Nyz=Nyz2(:,:,i);
    SUBPLOT(3,2,i), plot(time,Nyz, 'LineWidth',1.5); grid ON
    label=strcat(lab, ' at T=', t{i});
    Title(label)
    ylabel('ft/sec^2')
    xlabel('Time (sec)')
    legend('Ny', 'Nz')
end

lab='Pitch Gimbal Deflects'; figure (5)
for i=1:k
    dy=dy2(:,:,i);
    SUBPLOT(3,2,i), plot(time,dy*r2d, 'LineWidth',1.5); grid ON
    label=strcat(lab, ' at T=', t{i});
    Title(label)
    ylabel('deg')
    xlabel('Time (sec)')
end

lab='Yaw Gimbal Deflects'; figure (6)
for i=1:k
    dz=dz2(:,:,i);
    SUBPLOT(3,2,i), plot(time,dz*r2d, 'LineWidth',1.5); grid ON
    label=strcat(lab, ' at T=', t{i});
    Title(label)
    ylabel('deg')
    xlabel('Time (sec)')
end



