% LQR Design for Space Plane at T= 160 sec
% Pitch Axis
[Ap,Bp,Cp,Dp]= pitch_rb_t160;                        % Load the Pitch Design Model
[Api,Bpi,Cpi,Dpi]= linmod('Pdes_int');               % Linearize Open-Loop Simulink model that uses combined plant
sys=ss(Api,Bpi,Cpi,Dpi);      
Qp=diag([0.01  0.02  0.00, 0.02]);                  % State & Control Weights
Rp=60;          
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t160.mat Kq -ascii                            % Save the LQR gains in Kpqr.mat
% Kq = [0.2297    0.9223    0.1957    0.0151]        ! KM_theta, q, alpha, theta_int

% Lateral Axis
[Al,Bl,Cl,Dl]= later_rb_t160;                       % Load the Lateral Design Model
[Ali,Bli,Cli,Dli]= linmod('Ldes_int');             % Linearize Open-Loop Simulink model that uses combined plant
sys=ss(Ali,Bli,Cli,Dli);      
Ql=diag([0.8, 0.001, 0.5  0.001  0.0, 0.004]);   % X Weights(phi,p, psi,r, beta, psi_int)
Rl=diag([40  60]);                               % Control Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t160.mat Kpr -ascii                            % Save the LQR gains in Kpqr.mat
% Kpr = [
%  0.3170    0.7893    0.0442   -0.1456    0.2939    0.0008
% -0.0028   -0.0741    0.2729    0.9435   -0.1784    0.0100]; % KN_phi, p, psi, r, beta, ps_int
[Ad,Bd,Cd,Dd]= plant_t160;