% LQR Design for Space Plane at T=56 sec
% Pitch Axis
[Ap,Bp,Cp,Dp]= pitch_rb_t56;                         % Load the Pitch Design Model
[Api,Bpi,Cpi,Dpi]= linmod('Pdes_int');              % Linearize Open-Loop Simulink model that uses combined plant
sys=ss(Api,Bpi,Cpi,Dpi);      
Qp=diag([0.001  0.0002  0.0005, 0.001]);             % State & Control Weights .01
Rp=60;                                               %  25
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t56.mat Kq -ascii                            % Save the LQR gains in Kpqr.mat
% Kq = [0.162    1.192    0.5624    0.0017]        ! KM_theta, q, alpha, theta_int

% Lateral Axis
[Al,Bl,Cl,Dl]= later_rb_t56;                       % Load the Lateral Design Model
[Ali,Bli,Cli,Dli]= linmod('Ldes_int');             % Linearize Open-Loop Simulink model that uses combined plant
sys=ss(Ali,Bli,Cli,Dli);      
Ql=diag([0.02, 0.02, 0.01  0.1  0.001, 0.0001]);   % X Weights(phi,p, psi,r, beta, psi_int)
Rl=diag([10  10]);                               % Control Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t56.mat Kpr -ascii                            % Save the LQR gains in Kpqr.mat
% Kpr = [
%  0.0496    0.3177    0.0589    0.0160    0.0292    0.0013
% -0.0075    0.0147    0.1036    1.2619   -0.7130    0.0029]; % KN_phi, p, psi, r, beta, ps_int
[Ad,Bd,Cd,Dd]= plant_t56;