% LQR Design for Space Plane at T=82 sec
% Pitch Axis
[Ap,Bp,Cp,Dp]= pitch_rb_t82;                        % Load the Pitch Design Model
[Api,Bpi,Cpi,Dpi]= linmod('Pdes_int');              % Linearize Pitch Simulink Model
sys=ss(Api,Bpi,Cpi,Dpi);      
Qp=diag([0.001  0.001  0.005, 0.1e-9]);              % State & Control Weights
Rp=50;                                              % 0.01  0.01  0.001, 0.00001
[Kq,S,E] = lqr(sys,Qp,Rp)
save Kq_t82.mat Kq -ascii                           % Save the LQR gains in Kpqr.mat
% Kq = [0.0730    1.1021    0.5441    0.0000]       ! KM_theta, q, alpha, theta_int

% Lateral Axis
[Al,Bl,Cl,Dl]= later_rb_t82;                        % Load the Lateral Design Model
[Ali,Bli,Cli,Dli]= linmod('Ldes_int');              % Linearize Lateral Simulink model 
sys=ss(Ali,Bli,Cli,Dli);      
Ql=diag([0.1, 0.01, 0.1  0.01  0.002, 0.1e-9]);  % X Weights(phi,p, psi,r, beta, psi_int)
Rl=diag([5  20]);                                  % Control Weights
[Kpr,S,E] = lqr(sys,Ql,Rl)
save Kpr_t82.mat Kpr -ascii                         % Save the LQR gains in Kpqr.mat
% Kpr = [
%  0.0111    0.0629    0.0205    0.1293   -0.2981    0.0002
% -0.0044    0.1409    0.0513    2.1764   -2.4375    0.0005]; % KN_phi,p, psi,r, beta, ps_int
[Ad,Bd,Cd,Dd]= plant_t82;
